//
//  area_of_interest.cc
//  rg7II
//
//  Created by Martin Hruby on 10.02.12.
//  Copyright (c) 2012 mhafan@gmail.com. All rights reserved.
//

#include "area_of_interest.h"

void    Ras_area_of_interest::add_to_tiles_priority(int delta)
{
    Phtile_map_i it;
    
    for (it=phtiles_in.begin(); it!=phtiles_in.end(); it++) {
        it->second->priority_increase(delta);
    }
}

void    Ras_area_of_interest::switch_on()
{
    if (on) return ;
    
    add_to_tiles_priority(1); 
    on = true;
}



void    Ras_area_of_interest::switch_off()
{
    if (!on) return ;
    
    add_to_tiles_priority(-1);
    phtiles_in.clear();
    on = false;
}


bool    Ras_area_of_interest::reload_list_of_interesting_tiles()
{
    switch_off();
    
    return true;
}


void    Ras_area_of_interest::make_all_tiles_allocated()
{
    
}


bool    Ras_area_of_interest::move_at_the_region(Region rg)
{
    region = rg;
    
    return reload_list_of_interesting_tiles();
}

