#include "rg7.h"


#include <stdlib.h>
#include <stdio.h>


int	main(int argc, char *argv[])
{
	// geographical region of the filea
	// (W,S) -> (E,N)
	// size
	
	printf("Args: raster-file rows columns tile-size \n");
	
	RG_ID 	file_id = RG7.def_id_with_name(rstring(argv[1]));
	int	rows = atoi(argv[2]);
	int	cols = atoi(argv[3]);
	int	tsize = atoi(argv[4]);
	
	
	Region bregion(Coord(0,0), Coord(100, 100), ICoord(cols, rows));
	
	// minimum tiling region
	ICoord min_reg(tsize, tsize);
	
	Ras_sqlite3_interface iface(&file_id);
	
	iface.metad.base_region = bregion;
	iface.metad.minimum_region = min_reg;
	
	iface.create();
	
	Ras_phys_file file(iface);
	//file.create_whole_raster();
	
	//file.max_available_tiles = 1000;
	
	ICoord	xy;
	
	for (xy.y=0; xy.y<iface.metad.base_region.countY(); xy.y++)
	for (xy.x=0; xy.x<iface.metad.base_region.countX(); xy.x++) {
		dtype val = xy.y*xy.x;
		file.wcell(xy, val);
		//	printf("Write [%d,%d]: %d -- read %d \n", xy.x, xy.y, val, file.rcell(xy));
	}
	
	/*
	for (xy.y=0; xy.y<iface.metad.base_region.countY(); xy.y++)
	for (xy.x=0; xy.x<iface.metad.base_region.countX(); xy.x++) {
		dtype val = xy.y*xy.x;
		printf("Write [%d,%d]: %d -- read %d \n", xy.x, xy.y, val, file.rcell(xy));
	} */
}

