#ifndef	__GLOBAL_USER_DEFS_H
#define	__GLOBAL_USER_DEFS_H

#include "basics.h"

/*
	Manage the user defaults.
	Some constants are not integrated as solid in the code.
*/

struct	UserDefaults {
	
	UserDefaults() {
		load();
	}
	
	~UserDefaults() {
		save();
	}
	
	void	save();
	void	load();
	
	// particular defined user variables
	
	size_t	ba_default_size_of_buffer();
	
	bool	use_phtile_buffers_pool();
};

// TODO: should be a part of RG7_system (ommit the global variables)
extern	UserDefaults USERDEFS;

#endif	/* __GLOBAL_USER_DEFS_H */
