#include "rg7.h"

int	main()
{
	rstring fn = "fgeolbig";
	char	fns[100];
	
	RG7.open(fn);
	RG7.set_monitor(fn);
	
	ICoord psize = RG7.monitor().countXY();
	Ras_metadata metad;
	metad.minimum_region = ICoord(32, 32);
	
	Ras_phys_file *mainfile = RG7.get_phys_file(fn);
	
	ICoord xy;
	Coord geo;
	dtype val;
	
	for (int level=1; level<10; level++) {
		Region p1r = RG7.monitor();
		psize.x /= 2;
		psize.y /= 2;
		
		metad.base_region = p1r;
		metad.base_region.size = psize;
		
		sprintf(fns, "%s-%d", fn.c_str(), level);
		rstring newfn = rstring(fns);
		
		std::cout << "Pyramid reg: " << metad.base_region << "\n";
		
		RG7.create(newfn, &metad);
		Ras_phys_file *file = RG7.get_phys_file(newfn);
		assert(file!=0);
		
		for (xy.y=0; xy.y<metad.base_region.countY(); xy.y++)
		for (xy.x=0; xy.x<metad.base_region.countX(); xy.x++) {
			geo = metad.base_region.point_to_coords(xy);
			val = mainfile->rgeo(geo);
			file->wgeo(geo, val);
		}
	}
}

