#ifndef	__RAS_GRASS6_INTERFACE_H
#define	__RAS_GRASS6_INTERFACE_H


#include "ras_file_interface.h"

class	Ras_grass6_interface : public Ras_file_interface {
public:
	
	Ras_grass6_interface(RG_ID *erid=NULL);
	~Ras_grass6_interface();
	
	virtual	bool	open();
	virtual	bool	close();
	virtual	bool	create();
	virtual	bool	drop();
	
	virtual	bool	write_metadata();
	virtual	bool	load_metadata();
	
	virtual	void	transaction(bool begin);
	virtual	int	swap_tile(Ras_phtile *tile);
	virtual	int	load_swapped_tile(Ras_phtile *tile);
	virtual	int	swapped_tile_available(Ras_phtile *tile);
};

#endif	/* __RAS_GRASS6_INTERFACE_H */
