/*
	random access benchmark
*/

#include "rg7.h"

#include <stdlib.h>
#include <stdio.h>

int	main(int argc, char *argv[])
{
	printf("Args: raster-file cache-size num-of-iters\n");
	
	RG_ID 	file_id = RG7.def_id_with_name(rstring(argv[1]));
	int	maxavat = atoi(argv[2]);
	int	exps = atoi(argv[3]);
	
	Ras_sqlite3_interface iface(&file_id);
	iface.open();
	printf("File opened\n");
	
	std::cout << iface.metad.base_region; 
	
	Ras_phys_file file(iface);
	file.max_available_tiles = maxavat;
	
	printf("Starting the iterations (%d), %ld tiles\n", exps, 
	       file.tiling.comp_number_of_tiles_scalar());
	
	ICoord xy;
	for (int ic=0; ic<exps; ic++) {
		xy = file.region().random_ipoint();
		dtype cval = file.rcell(xy);
	}
}
